Description

In UsagePoint there is an attribute readCycle with the definition:
Cycle day on which the meter for this usage point will normally be read. Usually correlated with the billing cycle.

The datatype is string, so it is not obvious how it is used. Perhaps it is used to tell the date in a month. Or? How is it implemented?
In WG16 it has been suggested to add an attribute called meterReadingResolution in a class inheriting from UsagePoint with the
definition "The length of time between the regular meter readings.” The datatype will be Duration. See issue
https://redmine.ucaiug.org/issues/5803.

The idea is to inform the Energy supplier if he will get metered values per 5 minutes, 15 minutes, 60 minutes (1 hour), once a day,
once a month or once a year.

If readCycle would tell how often you read the meter, then WG16 would not need to add the attribute meterReadingResolution, but
could use the inherited attribute from UsagePoint instead.

But then the definition of Read cycle would need to be changed since it describes a “day”, perhaps then to something like:

Read Cycle for when the meter for this usage point will normally be read. May be correlated with the billing cycle.

In connection with this, we could also look at the issue https://redmine.ucaiug.org/issues/5803, a suggestion to add an attribute
“nextReadingSchedule”. That is currently implemented (outside CIM) telling the date or month when the (next) reading will occur.
This might be similar to how readCycle is implemented.

Release Notes

The "readCycle" and "Cycle Day" are throwbacks to when utilities read meters manually. A meter reading person would walk a route.
Different utilities take different approaches, and use different labels, but they might label 1/4 of the meters "Week1", another fourth of
the meters "Week2", another "Week3", and the last group "Week4". Each month, when it was the first, second, third, or fourth week
of the month, the meter reader would walk his route and read that meter that week. Then, after running the data through an MDMS, it
would go to billing, be printed, and mailed to the consumer. The printing, stuffing, and mailing might occur in the early days of the
following week. Each utility has their own process. This label was to help utilities understand how they affiliate data with certain
locations.

History

#1 - 05/24/2023 02:48 AM - Jan Owe

The last link, e.g. regarding nextReadingSchedule, should go to [[https://redmine.ucaiug.org/issues/5866]]

#2 - 05/31/2023 07:12 PM - David Haynes
- Proposed Solution updated
Jan Owe wrote in #note-1:

The last link, e.g. regarding nextReadingSchedule, should go to [[https://redmine.ucaiug.org/issues/5866]]

#3 - 05/31/2023 07:13 PM - David Haynes
- Proposed Solution updated

- Release Notes updated

Jan Owe wrote in #note-1:

The last link, e.g. regarding nextReadingSchedule, should go to [[https:/redmine.ucaiug.org/issues/5866]]
